

/*************************************************************************
**                                                                       *
**    	X25Types.h														 *
**                                                                       *
**		This file was formerly named "Types.h, but because				 *
**		of a nameing conflict with MPW which also has a "Types.h"        *
**		the TITN module was renamed to "X25Types.h"				         *
**-----------------------------------------------------------------------*
**                                                                       *
**               Copyright Apple Computer, Inc. 1987-88                  *
**                         All Rights Reserved                           *
**                     Apple Computer Confidential                       *
**                                                                       *
**-----------------------------------------------------------------------*
**                                                                       *
**  Revision History:                                                    *
**                                                                       * 
**                                                                       *
**                                                                       *
*************************************************************************/


#define		REG1
#define		REG2
#define		REG3
#define		REG4
#define		REG5
#define		REG6
#define		REG7
#define		REG8
#define		REG9
#define		REG10
#define		REG11
#define		REG12
#define		REG13
#define		REG14
#define		REG15

/*
**	Standard definitions.
*/
#define 	VOID		int
#define		YES		1
#define		NO		0

#ifndef	NULL
#define		NULL		0
#endif	NULL

#define		min(A,B)	((A<=B)?A:B)
#define		SET_EVEN(A)	if(A & 1) A++ ;

/*
**	The following definitions are used for portability of the code
**	and declare standard types used by X.25. The following definitions
**	must define:
**
**	- UBYTE:	An unsigned byte (8 bits).
**	- UWORD:	An unsigned 16 bit word.
**	- WORD:		A signed 16 bit word.
**	- ULONG:	An unsigned 32 bit word.
*/
#define		UBYTE		unsigned char
#define		UWORD		unsigned short
#define 	WORD		short
#define 	ULONG		unsigned long

#ifdef	LMSA
#define	LMS
#else
#ifdef	LMSB
#define	LMS
#endif	LMSB
#endif	LMSA
